aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig
diff options
context:
space:
mode:
authorLukas Bezdicka <lbezdick@redhat.com>2017-01-19 14:17:25 +0100
committerLukas Bezdicka <lbezdick@redhat.com>2017-01-19 14:17:25 +0100
commit49dc4d2154f954628c10e8f024f558ff17d38675 (patch)
treef5785af05594aa39fdf8cac9618d042b61d19857 /extraconfig
parent7efa88bbec6294e59d7334e60dffab02825f8418 (diff)
Ignore systemctl return code in yum_update.sh
We only need to know if pacemaker service is in active state. Change-Id: Id5e16f2bbbe51b8a0c250eb5d35e89e61a7b3383 Resolves: rhbz#1414779 Closes-Bug: #1656980
Diffstat (limited to 'extraconfig')
-rwxr-xr-xextraconfig/tasks/yum_update.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/extraconfig/tasks/yum_update.sh b/extraconfig/tasks/yum_update.sh
index 74af7b02..edcc9e8e 100755
--- a/extraconfig/tasks/yum_update.sh
+++ b/extraconfig/tasks/yum_update.sh
@@ -42,7 +42,7 @@ if [[ "$list_updates" == "" ]]; then
exit 0
fi
-pacemaker_status=$(systemctl is-active pacemaker)
+pacemaker_status=$(systemctl is-active pacemaker || :)
# Fix the redis/rabbit resource start/stop timeouts. See https://bugs.launchpad.net/tripleo/+bug/1633455
# and https://bugs.launchpad.net/tripleo/+bug/1634851